commit:     ef76e56ff2eb8e8f5df09b1af4e1a4e7a7fc01a8
Author:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 18 19:10:32 2021 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Tue Jun 22 20:32:18 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ef76e56f

dev-python/libtmux-0.10.1: Version bump

Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-python/libtmux/Manifest                        |  1 +
 .../files/libtmux-0.10.0-more-specific-ids.patch   | 26 ++++++++++++++
 dev-python/libtmux/libtmux-0.10.1.ebuild           | 40 ++++++++++++++++++++++
 3 files changed, 67 insertions(+)

diff --git a/dev-python/libtmux/Manifest b/dev-python/libtmux/Manifest
index 472a33f70a1..affd0cf7028 100644
--- a/dev-python/libtmux/Manifest
+++ b/dev-python/libtmux/Manifest
@@ -1,2 +1,3 @@
+DIST libtmux-v0.10.1.tar.gz 220592 BLAKE2B 
56028bca4e6a8df788d9fc9a112731fbf17f3617410d0632ac9d3f000ca130d2f4b21c377611e1ef95bcf493fa14f885cbcd7aa986d9c1b89d2b972fb4173f78
 SHA512 
67ed162546a3dc5aa51e91ac03f015532d67847b0400766b442691a39a1a751c59a6b37811f6422ed713fca6a071767a8e13694b2722489d2e56cda711010228
 DIST libtmux-v0.8.5.tar.gz 222445 BLAKE2B 
5af148555eb89c66bdc66f3f214967f7e901d9b86ea85e02a9fba64f2eb3559828519ba8120eaee5eb86ec75bee2e599a08384dd096de8dc0969129c58172c1e
 SHA512 
d456725c3ca41a672ee5239bfb5f42a262674638d308fa141627995be8b8fe348bb8713b735eb05c5a3cc73f35fe3f6fac12024f6254c950a3048b2e07606363
 DIST libtmux-v0.9.0.tar.gz 215649 BLAKE2B 
fdf6f424ce8eead5f0f19cb53bfd438e9cd7b5326e57e676281f74cedac6e1bcd7cded27e4ef226d2fc3bc09bbb57ff0e63aaa7d901ab910b6a890275c7fe63d
 SHA512 
d47078300614b2a286eab6063c9492baa115787b917d2fb2e4188032ce580f495f0e7f4a14383407c61063a77d640092d117ba43974524f18da024dfc687c8a5

diff --git a/dev-python/libtmux/files/libtmux-0.10.0-more-specific-ids.patch 
b/dev-python/libtmux/files/libtmux-0.10.0-more-specific-ids.patch
new file mode 100644
index 00000000000..ca5817bda5f
--- /dev/null
+++ b/dev-python/libtmux/files/libtmux-0.10.0-more-specific-ids.patch
@@ -0,0 +1,26 @@
+diff --git a/libtmux/session.py b/libtmux/session.py
+index cd6af00..e4c02e2 100644
+--- a/libtmux/session.py
++++ b/libtmux/session.py
+@@ -263,7 +263,7 @@ class Session(TmuxMappingObject, TmuxRelationalObject, 
EnvironmentMixin):
+             if isinstance(target_window, int):
+                 target = '-t%s:%d' % (self.name, target_window)
+             else:
+-                target = '-t%s' % target_window
++                target = '-t%s:%s' % (self.name, target_window)
+ 
+         proc = self.cmd('kill-window', target)
+ 
+diff --git a/libtmux/window.py b/libtmux/window.py
+index e62e8df..f452575 100644
+--- a/libtmux/window.py
++++ b/libtmux/window.py
+@@ -366,7 +366,7 @@ class Window(TmuxMappingObject, TmuxRelationalObject):
+         if target_pane in ['-l', '-U', '-D', '-L', '-R']:
+             proc = self.cmd('select-pane', '-t%s' % self.id, target_pane)
+         else:
+-            proc = self.cmd('select-pane', '-t%s' % target_pane)
++            proc = self.cmd('select-pane', '-t%%%s' % target_pane)
+ 
+         if proc.stderr:
+             raise exc.LibTmuxException(proc.stderr)

diff --git a/dev-python/libtmux/libtmux-0.10.1.ebuild 
b/dev-python/libtmux/libtmux-0.10.1.ebuild
new file mode 100644
index 00000000000..4f183304d9d
--- /dev/null
+++ b/dev-python/libtmux/libtmux-0.10.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..10} pypy3 )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+inherit distutils-r1
+
+DESCRIPTION="python api for tmux"
+HOMEPAGE="https://libtmux.git-pull.com/";
+SRC_URI="https://github.com/tmux-python/${PN}/archive/v${PV}.tar.gz -> 
${PN}-v${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+RDEPEND=">=app-misc/tmux-3.0a"
+BDEPEND="
+       test? (
+               $(python_gen_cond_dep 'dev-python/pathlib2[${PYTHON_USEDEP}]' 
python3_{7..9})
+               dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+               dev-python/pytest-mock[${PYTHON_USEDEP}]
+               dev-python/twine[${PYTHON_USEDEP}]
+       )
+"
+
+PATCHES=(
+       "${FILESDIR}/libtmux-0.10.0-more-specific-ids.patch"
+)
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       local issues="https://github.com/tmux-python/libtmux/issues/";
+       sed -r -i "s|:issue:\`([[:digit:]]+)\`|\`issue \1 ${issues}\1\`|" 
CHANGES || die
+       rm requirements/doc.txt || die
+
+       distutils-r1_python_prepare_all
+}

Reply via email to